//
// C++ Interface: sceneframe
//
// Description: 
//
//
// Author: Predrag Viceic <viceic@net2000.ch>, (C) 2005
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef SCENEFRAME_H
#define SCENEFRAME_H

#include <qhbox.h>
#include <qptrvector.h>
#include "scenebutton.h"

/**
@author Predrag Viceic
*/
class SceneFrame : public QHBox
{
Q_OBJECT
public:
    SceneFrame(QWidget *parent = 0, const char *name = 0);

    ~SceneFrame();
protected:
    QPtrVector<SceneButton> sceneButtons;

signals:
    void assignToSceneS(int sc);
    void sceneSwitchedS(int sc);
};

#endif
